{% extends 'core.html' %}

{% block title %}Registro{% endblock %}
{% load crispy_forms_tags %}

{% block content %}
<div class="container p-4">
  <div class="card">
    <div class="card-header bg-dark text-white text-center">Registro de Nuevo Usuario</div>
    <div class="card-body">
      <form method="POST" action="">
        {% csrf_token %}
        <div class="row">
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.username|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.email|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.first_name|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.last_name|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.mobile_phone|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.sex|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.birth_date|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.password1|as_crispy_field }}
          </div>
          <div class="col-6 col-sm-6 col-md-4 col-lg-5 col-xl-5">
            {{ form.terms_accepted|as_crispy_field }}
          </div>
          <div class="col-6 col-sm-6 col-md-2 col-lg-1 col-xl-1">
            <button type="button" class="btn btn-light" data-toggle="modal" data-target="#termsModal">
              Leer
            </button>
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            {{ form.password2|as_crispy_field }}
          </div>
          <div class="col-12 col-sm-12 col-md-12 col-lg-10 col-xl-10"></div>
          <div class="col-12 col-sm-12 col-md-12 col-lg-2 col-xl-2">
            <button type="submit" class="btn btn-warning">Registrarse</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="termsModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Términos y Condiciones</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>TÉRMINOS Y CONDICIONES
            LEA DETENIDAMENTE ESTOS TÉRMINOS Y CONDICIONES, EL UTILIZAR ESTE SITIO WEB Y CUALQUIER CONTENIDO DE JACIV EN SITIOS COMO REDES SOCIALES (EJEM. FACEBOOK Y TWITTER). ESTOS TÉRMINOS Y CONDICIONES SERÁN DE APLICACIÓN A TODAS LAS VISITAS AL Y USO DEL SITIO WEB JACIV, ASÍ COMO AL CONTENIDO, INFORMACIÓN, RECOMENDACIONES, PRODUCTOS Y/O SERVICIOS OFRECIDOS A USTED EN O A TRAVÉS DEL SITIO WEB JACIV. AL ACCEDER AL Y UTILIZAR EL SITIO, USTED ACEPTA ESTOS TÉRMINOS Y CONDICIONES EN SU TOTALIDAD, ADEMÁS DE CUALQUIER OTRA LEY O REGLAMENTO QUE SEA APLICABLE AL SITIO WEB JACIV. 
            1.	AL ACCEDER Y NAVEGAR EN EL SITIO WEB DE JACIV, USTED ACEPTA ESTOS TÉRMINOS Y CONDICIONES SIN LIMITACIÓN O CONDICIÓN ALGUNA, INCLUYENDO LOS TÉRMINOS Y CONDICIONES ADICIONALES O MODIFICADOS QUE JACIV PUBLIQUE; EN DADO CASO QUE SE REALICE, USTED PODRÁ PRESENTAR LAS RECLAMACIONES PROCEDENTES CONFORME LO PREVISTO EN ESTE CONTRATO. CIERTOS SERVICIOS DISPONIBLES EN ESTE SITIO WEB DE JACIV PUEDEN TENER TÉRMINOS Y CONDICIONES ADICIONALES APLICABLES, LOS CUALES PUEDEN LEERSE MAS ADELANTE EN LOS SIGUIENTES PARRAFOS EN LOS CUALES SE ESPECIFICAN A MAS DETALLE LOS RESPECTIVOS TERMINOS Y CONDICIONES DE ESTA PAGINA WEB JACIV.
            2.	USTED ACEPTA ABSTENERSE DE PUBLICAR, DISTRIBUIR O TRANSMITIR CUALQUIER CONTENIDO QUE: SEA ILÍCITO, ACOSADOR, DIFAMATORIO, ABUSIVO, AMENAZANTE, OBSCENO, DOLOSO, CALUMNIOSO O INVASIVO DE LA PRIVACIDAD DE OTRO INDIVIDUO; VIOLE O VULNERE LOS DERECHOS DE AUTOR, MARCAS, SECRETOS INDUSTRIALES, PATENTES U OTROS DERECHOS DE PROPIEDAD INTELECTUAL DE CUALQUIER OTRO SITIO WEB O RESPECTIVAMENTE DE CUALQUIER OTRO LUGAR, INCLUYENDO SIN LIMITACIÓN EL USO O PUBLICACION DE MATERIALES DE TERCEROS PROTEGIDOS POR LA LEY DE DERECHOS DE AUTOR SIN LA AUTORIZACIÓN CORRESPONDIENTE, UTILIZAR FOTOS O IMAGENES DE TERCEROS SIN LA AUTORIZACIÓN O ATRIBUCIÓN CORRESPONDIENTE, Y UTILIZAR O DISTRIBUIR INFORMACIÓN DE TERCEROS PROTEGIDA O NO COMO SECRETO INDUSTRIAL EN VIOLACIÓN A CUALQUIER OBLIGACIÓN DE CONFIDENCIALIDAD; CONTENGA O PUBLIQUE DATOS PERSONALES DE MENORES DE EDAD, O BIEN, QUE CONTENGA DATOS PERSONALES SENSIBLES DE OTRO INDIVIDUO.
            3.	LOS DETALLES DE LA PUBLICACION DE LOS PRODUCTOS DISPONIBLES (INCLUYENDO SU CORRESPONDIENTE PRECIO) SE ENCUENTRAN ESPECIFICADOS EN EL SITIO WEB JACIV. ASI MISMO JACIV ADOPTARÁ TODAS LAS MEDIDAS NECESARIAS Y RAZONABLES PARA GARANTIZAR QUE TODOS LOS DETALLES, LAS DESCRIPCIONES Y LOS PRECIOS DE LOS PRODUCTOS QUE APARECEN EN LAS RESPECTIVAS PAGINAS DEL SITIO WEB JACIV SEAN CORRECTOS CUANDO SE INCLUYA LA INFORMACIÓN.
            4.	LOS PRODUCTOS ENUNCIADOS EN EL SITIO WEB JACIV SIRVEN PARA FINES DE INFORMACIÓN GENERAL SOBRE LOS PRODUCTOS PUBLICADOS POR LOS DISTINTOS USUARIO Y SE OFRECEN EN LA PAGINA DEPENDIENTO DE LA CANTIDAD DE PRODUCTO QUE DESEE VENDER USTED USUARIO (VENDEDOR).
            5.	UNA VEZ QUE HAYA REGISTRADO O SELECCIONADO EL TIPO DE PRODUCTO QUE DESEA VENDER O ADQUIRIR, DICHOS PRODUCTOS PODRAN SER VISTOS DENTRO DEL SITIO WEB ASI COMO LOS DETALLES DE LA MISMA PARA POSTERIOMENTE PODER SER CONTACTADO POR OTOR USUARIO EN CASO DE QUE SEA EL QUE OFREZCA EL PRODUCTO, EN TAL CASO, PODRA HACER LA COMPARA DE PAQUETES DE PUBLICACIONES NECESARIA PARA OFRECER SUS PRODUCTOS, EN ESTE CASO JACIV PONDRA A SU DISPOCISION EL PAGO A TRAVES DE UN SERVICIO EXTERNO PAYPAL Y SE LE NOTIFICARÁ A TRAVÉS DEL CORREO ELECTRÓNICO, CONFIRMANDO EL LA COMPRA DE SUS PUBLICACIONES.
            6.	JACIV NO SE ENCARGARÁ DE LA ENTREGA DE PRODUCTO Y DE NINGUN TIPO DE PAGO DE PRODUCTO PUBLICADO EN EL SITIO WEB, ASI COMO LA DEVOLUCION DE ALGUN PRODUCTO, LAS ENTREGAS SERAN REALIZADAS POR EL VENDEDOR Y JACIV NO SE HARA RESPONSABLE DE LA NO ENTREGA DE PRODUCTO O DEL MAL ESTADO EN QUE LLEGUE EL PRODUCTO AL USUARIO, POR ELLO ES MUY IMPORTANTE QUE TOME EN CUENTA LA DESCRIPCION Y LA CALIFICACION QUE TENGA EL USUARIO (VENDEDOR) CON EL CUAL ESTE REALIZANDO LA NEGOCIACION DEL PRODUCTO A ADQUIRIR.
            7.	ESTOS TÉRMINOS Y CONDICIONES ESTARÁN SUJETOS A LAS LEYES DE LOS ESTADOS UNIDOS MEXICANOS. TRATAREMOS DE RESOLVER CUALQUIER DESACUERDO DE LA MANERA MAS ATENTA, RÁPIDA Y EFICIENTEMENTE.
            
            CUALQUIER PERSONA QUE NO ACEPTE ESTOS TÉRMINOS Y CONDICIONES GENERALES, LOS CUALES TIENEN UN CARÁCTER OBLIGATORIO Y VINCULANTE, DEBERÁ ABSTENERSE DE UTILIZAR EL SITIO Y/O LOS SERVICIOS.
            EL USUARIO DEBE LEER, ENTENDER Y ACEPTAR TODAS LAS CONDICIONES ESTABLECIDAS EN LOS TÉRMINOS Y CONDICIONES GENERALES Y EN EL AVISO DE PRIVACIDAD, ASÍ COMO EN LOS DEMÁS DOCUMENTOS INCORPORADOS A LOS MISMOS POR REFERENCIA, PREVIO A SU INSCRIPCIÓN COMO USUARIO DE LA TIENDA EN LÍNEA JACIV.
            A.	PROHIBIDA LA VENTA O DISTRIBUCIÓN SIN AUTORIZACIÓN DE LA PÁGINA WEB Y LA INFORMACIÓN DE JACIV TIENDA EN LÍNEA
            B.	PROHIBIDA LA ALTERACIÓN DEL CÓDIGO FUENTE O DISEÑO DE LAS INTERFACES GRÁFICAS
            C.	LA PÁGINA WEB Y LA EMPRESA NO SE HACE RESPONSABLE DEL MAL USO DE LA INFORMACIÓN, INCLUYENDO IMÁGENES, DATOS PERSONALES, NOMBRES U ORGANIZACIONES.
            D.	EL USUARIO SIN REGISTRAR DEBE COMPLETAR EL FORMULARIO DE INSCRIPCIÓN CON TODOS SUS CAMPOS UTILIZANDO DATOS VÁLIDOS PARA HACER USO DE LOS SERVICIOS DE LA PÁGINA.
            E.	LA EMPRESA Y LA TIENDA EN LÍNEA SE RESERVAN EL DERECHO DE SOLICITAR ALGÚN COMPROBANTE Y/O DATO ADICIONAL A EFECTOS DE CORROBORAR LOS DATOS PERSONALES DEL USUARIO, ASÍ COMO DE SUSPENDER TEMPORAL O INDEFINIDAMENTE AL USUARIO CUYOS DATOS O COMPORTAMIENTO SEA DENUNCIADO
            </P>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Volver</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}